use Vhffs::Tests::Main;
use Vhffs::Tests::Utils;
use Vhffs::Functions;
use Test::More 'no_plan';
use strict;


my $main = init Vhffs::Tests::Main;
Vhffs::Tests::Utils::init_db($main->get_db_object);

# domain name check
my @gooddn = qw(tuxfamily.org www.tuxfamily.org www1.malibu.tf-data.net atm.eagle-usb.org 2145.com www.643.com j-aime.la-tux-family.org -tuxfamily.org tuxfamily-.org tux--family.org);

foreach(@gooddn) {
    ok(Vhffs::Functions::check_domain_name($_), "$_ is a valid domain name");
}

my @baddn = qw(www.tuxfamily.or.g toto..duschmol.org *.ziva.com toto-org autre_essai.tuxfamily.org);

foreach(@baddn) {
    ok(! Vhffs::Functions::check_domain_name($_), "$_ isn't a valid domain name from vhffs POV");
}
